#
# spec file for package libxfcegui4 (Version 4.2.3)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl atk atk-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cpp41 cracklib cups-libs cvs cyrus-sasl db dbh desktop-translations diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gpm grep groff gtk2 gtk2-devel gzip info insserv klogd less libacl libattr libcom_err libdrm libgcc41 libjpeg libltdl libmudflap41 libnscd libpng libpng-devel libstdc++41 libtiff libtool libvolume_id libxcrypt libxfce4util libxml2 libxml2-devel libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules pango pango-devel patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           libxfcegui4
BuildRequires:  dbh gtk2-devel libxfce4util libxml2-devel update-desktop-files
Summary:        Various GTK Widgets for xfce4
Version:        4.2.3
Release:        36
License:        LGPL v2.1 or later
Url:            http://www.xfce.org/
Source0:        %{name}-%{version}.tar.bz2
Patch0:         %{name}-gcc4.diff
Patch1:         %{name}-%{version}.diff
Patch2:         %{name}-%{version}-overflow_349155.patch
Group:          Development/Libraries/Other
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       gtk2
Requires:       libxfce4util >= 4.2.3

%description
Various GTK widgets for xfce4.



Authors:
--------
    Olivier Fourdan <fourdan@xfce.org>
    Jasper Huijsmans <huysmans@users.sourceforge.net>

%debug_package
%prep
%setup -q
%patch0 -p1
%patch1
%patch2

%build
autoconf
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
./configure --prefix=%{_prefix} \
            --datadir=%{_datadir} \
            --bindir=%{_bindir} \
            --libdir=%{_libdir} \
            --mandir=%{_mandir} \
            --enable-xinerama \
            --enable-startup-notification
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README INSTALL ChangeLog NEWS
%{_libdir}/lib*
%{_libdir}/pkgconfig/*
%{_libdir}/xfce4
%{_includedir}/xfce4
%{_datadir}/xfce4
%{_datadir}/locale/*/*/*
%{_datadir}/locale/hy
%{_datadir}/gtk-doc

%changelog
* Tue Jan 08 2008 - prusnak@suse.cz
- fix overflows (overflow_349155.patch) [#349155]
* Thu Jul 06 2006 - cthiel@suse.de
- fix build
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 18 2006 - pnemec@suse.cz
- fixed owning of directory locale/hy
* Mon Jan 16 2006 - pnemec@suse.cz
- updated to 4.2.3
* Wed Sep 14 2005 - cthiel@suse.de
- specfile cleanup
* Tue Aug 16 2005 - ltinkl@suse.cz
- fix taskbar text exceeding the length of the button (#104022)
* Mon Aug 01 2005 - cthiel@suse.de
- fixed Requires
* Wed May 18 2005 - cthiel@suse.de
- fixed filelist
* Wed May 18 2005 - cthiel@suse.de
- update to 4.2.2
* Mon Apr 11 2005 - cthiel@suse.de
- update to 4.2.1
- added libxfcegui4-gcc4.diff
* Wed May 12 2004 - ltinkl@suse.cz
- initial version
